Update Metafield

Updates customer metafields. To update the customer metafields, use 'customerId' and 'metafield' in the query parameters.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

metafieldIdintegerRequired
The ID of the metafield belonging to the customer. The metafieldId is a generated response when sending a POST query to the Create a Customer Metafields endpoint.
customerIdintegerRequired
The ID of the customer.

Request

idintegerRequired
The ID of metafield to update.
descriptionstringOptional0-255 characters
Description for the metafields.
keystringOptional1-64 characters

The name of the field, for example: location_id, color.

namespacestringOptional1-64 characters
Namespace for the metafield, for organizational purposes.
permission_setenumOptional
Determines the visibility and writeability of the field by other API consumers. | Value | Description | | :--- | :--- | | `app_only` | Private to the app that owns the field. | | `read` | Visible to other API consumers. | | `write` | Open for reading and writing by other API consumers. | | `read_and_sf_access` | Visible to other API consumers, including on the storefront. | | `write_and_sf_access` | Open for reading and writing by other API consumers, including on the storefront. |
Allowed values:
valuestringOptional1-65535 characters

The value of the field, for example: 1, blue.

Response

Response payload for the BigCommerce API.
datalist of objects
errorslist of any
Empty for 200 responses.
metaobject
Data about the response, including pagination and collection totals.

Errors

400
Bad Request Error
404
Not Found Error